PowerVmAllocationPolicySimpleWattPerMipsMetric (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.power

## Class PowerVmAllocationPolicySimpleWattPerMipsMetric

- java.lang.Object
- - org.cloudbus.cloudsim.VmAllocationPolicy
  - - org.cloudbus.cloudsim.power.PowerVmAllocationPolicyAbstract
    - - org.cloudbus.cloudsim.power.PowerVmAllocationPolicySimpleWattPerMipsMetric

-     public class PowerVmAllocationPolicySimpleWattPerMipsMetric
      extends PowerVmAllocationPolicyAbstract

  This class defines a "watt per mips" metric too choose a Host when all are overused. The aim is to choose the Host that have the best ratio Watt/Mips weighted by the theoretical capacity to host a new VM
  Author:
    Guérout Tom, Monteil Thierry, Da Costa Georges | LAAS - IRIT , Toulouse, France Please cite: T. Guérout et al., Energy-aware simulation with DVFS, Simulat. Modell. Pract. Theory (2013), http://dx.doi.org/10.1016/j.simpat.2013.04.007

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PowerVmAllocationPolicySimpleWattPerMipsMetric(List<? extends Host> list)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `allocateHostForVm(Vm vm)` Allocates a host for a given VM.
    `List<Map<String,Object>>` | `optimizeAllocation(List<? extends Vm> vmList)` Optimize allocation of the VMs according to current utilization.

    - ### Methods inherited from class org.cloudbus.cloudsim.power.PowerVmAllocationPolicyAbstract

      `allocateHostForVm, deallocateHostForVm, findHostForVm, getHost, getHost, getVmTable, TryDVFSEnableHost`

    - ### Methods inherited from class org.cloudbus.cloudsim.VmAllocationPolicy

      `getHostList, setHostList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PowerVmAllocationPolicySimpleWattPerMipsMetric

          public PowerVmAllocationPolicySimpleWattPerMipsMetric(List<? extends Host> list)

  - ### Method Detail

    - #### optimizeAllocation

          public List<Map<String,Object>> optimizeAllocation(List<? extends Vm> vmList)

      Description copied from class: `VmAllocationPolicy`
      Optimize allocation of the VMs according to current utilization.
      Specified by:
        `optimizeAllocation` in class `VmAllocationPolicy`
      Parameters:
        `vmList` - the vm list
      Returns:
        the array list< hash map< string, object>>

    - #### allocateHostForVm

          public boolean allocateHostForVm(Vm vm)

      Description copied from class: `VmAllocationPolicy`
      Allocates a host for a given VM. The host to be allocated is the one that was already reserved.
      Overrides:
        `allocateHostForVm` in class `PowerVmAllocationPolicyAbstract`
      Parameters:
        `vm` - virtual machine which the host is reserved to
      Returns:
        $true if the host could be allocated; $false otherwise

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.